package importantedto.maidedto.witnessedto.nationalismedto

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import com.base.datarecovery.databinding.EarlyedtoBinding
import com.google.android.material.bottomsheet.BottomSheetBehavior
import com.google.android.material.bottomsheet.BottomSheetDialog
import importantedto.afteredto.constitutionaledto.Peakedto
import importantedto.afteredto.constitutionaledto.Rackedto.requestStorePermission
import importantedto.gallonedto.Tumbleedto

object Coveredto {
    private val TAG = "PermissionDialog"
    fun Context.showPermissionBottomSheet(launcher: Peakedto, dismissAction: () -> Unit): BottomSheetDialog {
        val dialog = BottomSheetDialog(this)
        val binding = EarlyedtoBinding.inflate(LayoutInflater.from(this))
        dialog.setContentView(binding.root)
//        dialog.setCanceledOnTouchOutside(false)
//        dialog.setCancelable(false)
        dialog.show()

        val parentView = binding.root.parent as View
        BottomSheetBehavior.from(parentView).state = BottomSheetBehavior.STATE_EXPANDED

        binding.weatheredto.setOnClickListener {
            requestStorePermission(launcher, result = {
                if (it) {
                    dialog.dismiss()
                    Tumbleedto.logDebug(TAG, "dismissAction 1")
                }
            })
        }
        dialog.setOnDismissListener {
            Tumbleedto.logDebug(TAG, "dismissAction 2")
            dismissAction.invoke()
        }
        return dialog

    }

}